aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authordancer <dancer>2002-03-13 01:29:05 +0000
committerdancer <dancer>2002-03-13 01:29:05 +0000
commit7ac6b42b7262d9c7467c953cbf488d9b2e663e99 (patch)
tree8a3b74a60756797e10301ec81737cc45eb904a9c
parentafb79b8c279baa57e1c2e9409acf0d0ddb017d7c (diff)
downloadpbuilder-7ac6b42b7262d9c7467c953cbf488d9b2e663e99.tar
pbuilder-7ac6b42b7262d9c7467c953cbf488d9b2e663e99.tar.gz
some minor fixups for satisfydepends workage.
It is getting closer to working state. I think.
-rw-r--r--ChangeLog17
-rwxr-xr-xpbuilder-buildpackage7
-rw-r--r--pbuilder-satisfydepends12
-rw-r--r--pbuilder.12
4 files changed, 29 insertions, 9 deletions
diff --git a/ChangeLog b/ChangeLog
index f4a601f..6373550 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,20 @@
+2002-03-13 Junichi Uekawa <dancer@debian.org>
+
+ * pbuilder-buildpackage: will clean up and exit if
+ satisfydepends fail.
+
+ * pbuilder-satisfydepends: fixed --echo and --chroot race.
+ It is now possible to specify "--chroot whatever --echo"
+ to debug some chrooting action.
+ "/usr/lib/pbuilder/pbuilder-satisfydepends" reads debian/control
+ and satisfies dependency, outside of chroot. It is rather handy.
+ saveaptcache_umountproc_cleanbuildplace cannot be called from
+ satisfydepends.
+ fixed error message.
+
+ * pbuilder.1: added notes on "almost obsolete"ness of
+ -m option.
+
2002-03-12 Junichi Uekawa <dancer@debian.org>
* pbuilder-satisfydepends: created
diff --git a/pbuilder-buildpackage b/pbuilder-buildpackage
index 6ad6d9c..e6d7234 100755
--- a/pbuilder-buildpackage
+++ b/pbuilder-buildpackage
@@ -33,8 +33,11 @@ function copydsc () {
}
function checkbuilddep () {
- /usr/lib/pbuilder/pbuilder-satisfydepends --control "$BUILDPLACE/"tmp/buildd/*/debian/control --chroot "$BUILDPLACE"
- checkbuilddep_internal
+ if ! /usr/lib/pbuilder/pbuilder-satisfydepends --control "$BUILDPLACE/"tmp/buildd/*/debian/control --chroot "$BUILDPLACE" ; then
+ echo "E: pbuilder-satisfydepends failed." >&2
+ saveaptcache_umountproc_cleanbuildplace
+ exit 1
+ fi
# install extra packages to the chroot
if [ -n "$EXTRAPACKAGES" ]; then
$CHROOTEXEC usr/bin/apt-get -y install ${EXTRAPACKAGES}
diff --git a/pbuilder-satisfydepends b/pbuilder-satisfydepends
index e36c61a..bcd2d83 100644
--- a/pbuilder-satisfydepends
+++ b/pbuilder-satisfydepends
@@ -124,8 +124,8 @@ tolower($0) ~ /^'"${BD_REGEXP}"':/ {p=1}
fi
done;
if [ "$SATISFIED" = "no" ]; then
- echo "E: pbuilder: Could not satisfy build-dependency." >&2
- saveaptcache_umountproc_cleanbuildplace
+ echo "E: Could not satisfy build-dependency." >&2
+ #saveaptcache_umountproc_cleanbuildplace
exit 1
fi
done;
@@ -164,7 +164,7 @@ tolower($0) ~ /^'"${BC_REGEXP}"':/ {p=1}
if $CHROOTEXEC /usr/bin/dpkg -s $(echo "$INSTALLPKG" | tr "/" " " | awk '{print $1}') 2>&1 | grep ^Package: > /dev/null; then
if ! $CHROOTEXEC /usr/bin/apt-get -y remove ${CURRENTREALPKGNAME} ; then
echo "E: Could not satisfy build-conflicts" >&2
- saveaptcache_umountproc_cleanbuildplace
+ #saveaptcache_umountproc_cleanbuildplace
exit 1
fi
else
@@ -218,14 +218,14 @@ while [ -n "$1" ]; do
shift
;;
--echo)
- CHROOTEXEC="echo "
+ CHROOTEXEC="echo $CHROOTEXEC"
shift
;;
--force-version)
FORCEVERSION="yes"
shift;
;;
- --help|-h)
+ --help|-h|*)
print_help
exit 1
;;
@@ -233,4 +233,4 @@ while [ -n "$1" ]; do
done
-checkbuilddep_internal \ No newline at end of file
+checkbuilddep_internal
diff --git a/pbuilder.1 b/pbuilder.1
index ef8b8e1..bf3a60f 100644
--- a/pbuilder.1
+++ b/pbuilder.1
@@ -230,7 +230,7 @@ Specifies that dpkg-buildpackage be called with
instead of default value specified in the environmental
variable, or pbuilderrc
-.B "This option is obsolete, use debbuildopts instead"
+.B "This option is almost obsolete, use --debbuildopts instead"
.TP
.BI "--debbuildopts [" "options" "]"